Subject: Re: bug#55041: 28.1; repeat-mode always prints message when enabled

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Jun 2022 15:58:41 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Thu, 23 Jun 2022 13:36:20 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > What do you mean by "non-interactively" in these two cases?
> 
> Not interactive-p.  (Ish.)
> 
> > desktop.el runs automatically each time I restart Emacs, and ispell is
> > loaded and reloaded automatically whenever I visit a file in any
> > derivative of text-mode and whenever I the dictionary changes.  I
> > think those are deemed "non-interactive" for the purposes of your
> > question?  In both cases, it is important for me to see the messages.
> > For example, when the speller is restarted, I do want to see a message
> > telling me it is now using this or that dictionary.
> 
> In the olden days, it didn't tell you the current dictionary in the mode
> line, I think?  But it does show you that now, so the message isn't as
> interesting as it used to be.

It doesn't show enough of it.  And a message in the echo area saying
the dictionary was changed is much more easily seen than 2 characters
that change in a crowded mode line.